--- title: "Get node spec" slug: "analytics-vpcsearchengine-cluster-getnodespecdetail" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-getnodespecdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get node spec Available in VPC Get server specifications by search engine cluster node. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/cluster/getNodeSpecDetail/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getNodeSpecDetail/1037*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.clusterName` | String | - | Cluster name | | `result.serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `result.softwareProductCode` | String | - | Cluster operating system type code | | `result.managerNodeProductName` | String | - | Manager node server type | | `result.managerNodeProductCode` | String | - | Manager node server type code | | `result.dataNodeProductName` | String | - | Data node server type | | `result.dataNodeProductCode` | String | - | Data node server type code | | `result.masterNodeProductName` | String | - | Master Node Server Type | | `result.masterNodeProductCode` | String | - | Master node server type code | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "clusterName": "cluster006", "serviceGroupInstanceNo": 1037*****, "softwareProductCode": "SW.VELST.OS.LNX64.ROCKY.0808.B050", "managerNodeProductName": "vCPU 2EA, Memory 8GB, [SSD] Disk 50GB", "managerNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "dataNodeProductName": "vCPU 2EA, Memory 8GB, [SSD] Disk 50GB", "dataNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "masterNodeProductName": "vCPU 2EA, Memory 8GB, [SSD] Disk 50GB", "masterNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002" }, "requestId": "5baeadde-****-****-****-035067020ab5" } ```